Právě je 07 úno 2023 05:02

Všechny časy jsou v UTC + 1 hodina




Odeslat nové téma Odpovědět na téma  [ Příspěvků: 11 ]  Přejít na stránku 1, 2  Další
Autor Zpráva
 Předmět příspěvku: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 20 srp 2017 10:07 
C4 zákazník
Uživatelský avatar

Registrován:
06 čer 2014 18:28
Příspěvky:
607
Zdravím,

Plánujem postaviť eshop na verzii 1.6 s PHP 7.1, čítal som že sú nejaké problémy s importom, a ešte nejaké drobnosti, chcem sa preto opýtať Vás, či je najnovšia verzia PS 1.6 oficiálne podporovaná na PHP 7.1?

Sú nejaké problémy atp. ?


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 21 srp 2017 14:44 
C4 podpora
C4 podpora

Registrován:
30 čer 2009 08:14
Příspěvky:
8320
Dobrý den,

nevím, jestli se již podařilo vyřešit úplně všechny problémy související s PHP 7.1, a proto je jistější web provozovat na starší verzi PHP 5.6. Každopádně můžete zkusit i PHP 7.1 a v případě problémů web jednoduše přepnout na PHP 5.6.

_________________
Radek Plašil
Webhosting C4
https://www.c4.cz/


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 21 srp 2017 17:22 
C4 zákazník
Uživatelský avatar

Registrován:
06 čer 2014 18:28
Příspěvky:
607
Ďakujem za info a odpoveď.

Má novšia verzia PHP nejaký prínos? Myslím tým napr. v rýchlosti, prípadne iné veci? Aj tak sa časom v budúcnosti novšej verzii nevyhneme.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 22 srp 2017 11:19 
C4 podpora
C4 podpora

Registrován:
30 čer 2009 08:14
Příspěvky:
8320
Dobrý den,

ano, nová verze PHP je rychlejší a méně náročná na paměť, ale samozřejmě obsahuje i další novinky a vylepšení. Zajímají-li Vás detailnější informace, tak na internetu naleznete mnoho článků na téma PHP 7.

_________________
Radek Plašil
Webhosting C4
https://www.c4.cz/


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 25 srp 2017 19:46 
C4 zákazník
Uživatelský avatar

Registrován:
06 čer 2014 18:28
Příspěvky:
607
Funguje prosím niekto na 1.6.1.0 + verzii na PHP 7.1 ? Objavili sa nejaké problémy? Ďakujem za info


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 28 srp 2017 08:43 
C4 podpora
C4 podpora

Registrován:
30 čer 2009 08:14
Příspěvky:
8320
Dobrý den,

verze 1.6.1.0 určitě ještě nebyla odladěná pro PHP 7.1. Takže pokud chcete na novém PHP provozovat starší verzi 1.6.1.x, doporučuji použít její nejnovější verzi (aktuálně 1.6.1.16).

_________________
Radek Plašil
Webhosting C4
https://www.c4.cz/


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 01 lis 2018 18:53 
C4 zákazník

Registrován:
17 led 2015 15:26
Příspěvky:
39
Dobrý den,

dočetl jsem se na tomto webu https://www.premium-templates.eu/cs/blog/navody/podpora-prestashop-16-konci-v-cervnu-2019, že k 31.12. 2018 končí bezpečnostní podpora pro Prestashop 1.6. pro PHP verze 5.6 a 7.0 a že je vhodné přejít na PHP 7.1 nebo 7.2.

Znamená to nějaký problém, např. že by shop přestal fungovat v případě, že se nepřejde na vyšší verzi po tomto datu? Má někdo zkušenosti, jestli Prestashop 1.6.1.9. lze provozovat na PHP 7.1 nebo 7.2?

Děkuji Vám za odpověď.


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 02 lis 2018 08:07 
Uživatelský avatar

Registrován:
03 bře 2011 22:21
Příspěvky:
640
To je víc otázek najednou.

Jednak podpora pro PrestaShop 1.6 (nové verze, bezpečnostní záplaty) byla rozšířena až do poloviny roku 2019. Neznamená to, že běžící shop potom přestane fungovat. Může běžet ještě hodně let.

Druhá věc jsou bezpečnostní záplaty v PHP. U verzí 5.6 a 7.0 končí před koncem roku 2018. Neznamená to také, že staré verze přestanou fungovat. Včera jsem viděl stránky běžící na PHP 5.3!

Kompatibilita PrestaShopu s PHP 7.0, 7.1 nebo 7.2 se liší podle verzí. Konkrétně 1.6.1.9 je na tom určitě hůř než nejnovější verze 1.6.1.22. U poslední verze řady 1.6 by měla být plná kompatibilita s PHP 7.0. U 7.1 to není jisté a s verzí 7.2 není kompatibilní a byly zvěsti, že se o tom ani neuvažuje.

Málokdo ovšem provozuje shop bez modulů, takže je potřeba se ještě ptát po kompatibilitě modulů. A to je velká neznámá. Bez otestování nebo alespoň prověřením kódu nějakým nástrojem "PHP Compatibility Checker" to nelze dopředu říct.

_________________
M4 Vše v jednom SEO - snadný a na funkce bohatý SEO plugin
https://www.presta-addons.com


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 31 srp 2019 08:28 

Registrován:
25 zář 2012 06:35
Příspěvky:
10
darkyzciny.cz šlape na Prestashop 1.6.1.24 a PHP 7.3.5.. prozatím nebyl zjištěn problém po upgrade z PHP 5.6..


Nahoru
 Profil  
 
 Předmět příspěvku: Re: PrestaShop 1.6 na PHP 7.1 - sú nejaké problémy?
PříspěvekNapsal: 23 led 2023 20:53 
C4 zákazník

Registrován:
05 dub 2015 19:25
Příspěvky:
16
Zdravím,

vím, že je to víc než s křížkem po funuse, ale situace je taková.
Mám verzi 1.6.1.5 a po letech bezproblémového chodu začal modul zásilkovny zlobit (občas není možné dohledat místo určení).
Byl zvážen upgrade, nejdříve na testu. Jako nezbytný krok bylo potřeba povýšit PHP z 5.6 na 7.1.
Kromě jednoho popsaného problému (github poradil) se nevyskytnul žádný problém. Každopádně s novou verzí PHP začal fungovat správně modul zásilkovny (po mnoha testech a i u dříve chybných objednávek zobrazoval místo určení).
Upgrade webu jako takového se však nezdařil...je to pořád tak nějak v pořadí i nadále.

Nicméně na ostrém webu jsem chtěla rozchodit správně daný modul a tak jsem přepnula ostrý web na PHP 7.1.
A přestala fungovat nástěnka (Dashboard). Načítá se načítá, ale nenačte, prostě nic nezobrazuje.
Jiné problémy nepozoruji.

Výpis z error logu:
[error] [client ] PHP Warning: Illegal string offset 'dashgoals' in /data/www/xxx.cz/classes/Hook.php on line 554, referer: https://www.xxx.cz/admin/index.php?cont ... token=8xxx
Stejné je to pro oddíl 'dashproducts', 'dashtrends' a 'dashactivity'.

Mohu požádat o radu, jak se s tím vypořádat?

Děkuji mockrát


Přílohy:
Hook_php.txt [30.51 KiB]
3 krát
Nahoru
 Profil  
 
Zobrazit příspěvky za předchozí:  Seřadit podle  
Odeslat nové téma Odpovědět na téma  [ Příspěvků: 11 ]  Přejít na stránku 1, 2  Další

Všechny časy jsou v UTC + 1 hodina


Kdo je online

Uživatelé procházející toto fórum: Žádní registrovaní uživatelé a 1 návštěvník


Nemůžete zakládat nová témata v tomto fóru
Nemůžete odpovídat v tomto fóru
Nemůžete upravovat své příspěvky v tomto fóru
Nemůžete mazat své příspěvky v tomto fóru
Nemůžete přikládat soubory v tomto fóru

Hledat:
Přejít na:  
FTP Uploader
Staňte se naším zákazníkem!
Hledáme kolegy
PrestaShop partneři

Seznam všech partnerů

PrestaShop Hosting
Návody pro C4

© 2009-2023 ČESKÝ WEBHOSTING s.r.o. Kontaktní e-mail: forum@c4.cz
Diskuzní fórum využívá technologie: phpBB, phpBB-SEO.com, phpBB.cz